<?php

namespace App\Entities\Customer;

use App\Models\Customer\ServiceModel;

class ServiceEntity extends CustomerEntity
{
    const PK = ServiceModel::PK;
    const TITLE = ServiceModel::TITLE;
    public function getItemEntities(string $type): array
    {
        return $this->attributes[$type] ?? [];
    }
    public function setItemEntities(string $type, array $partEntities): void
    {
        if (!isset($this->attributes[$type])) {
            $this->attributes[$type] = [];
        }
        $this->attributes[$type] = $partEntities;
        // $this->attributes[$type] = array_unique($this->attributes[$type], SORT_REGULAR);
    }
}
